Bug 54270 - kernel 2.4.3-12 breaks full duplex mode with xircom cbe2-100
kernel 2.4.3-12 breaks full duplex mode with xircom cbe2-100
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-02 15:19 EDT by adi
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-29 23:51:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adi 2001-10-02 15:19:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i586)

Description of problem:
Upgrading to kernel-2.4.3-12 causes my Xircom CardBus ethernet 2 100Mbps to
fail to operate under Full Duplex mode.  The network still works, but some
services do not work properly.  Most notably, a cvs client on this machine
fails intermittently.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. upgrade from kernel-2.4.2-2 to kernel-2.4.3-12
2. reboot with xircom cbe2 in pcmcia slot
3. watch network switch or hub light indicate link is not running in full
duplex mode
	

Actual Results:  Services which require full duplex don't work, or work
sporadically.

Expected Results:  Should operate in full duplex mode.  kernel-2.4.2-2
worked fine

Additional info:

Here's my /var/log/messages output for kernel-2.4.2-2 (where full duplex
works fine):

Oct  2 09:42:54 prism kernel: Linux version 2.4.2-2
(root@porky.devel.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 7.1
2.96-79)) #1 Sun Apr 8 19:37:14 EDT 2001
Oct  2 09:43:08 prism kernel: xircom cardbus adaptor found, registering as
eth0, using irq 10 
Oct  2 09:43:08 prism kernel: xircom_cb: Link is 100 mbit 

Here's the /var/log/messages output for kernel-2.4.3-12 (where full duplex
does not work)

Oct  2 11:37:38 prism kernel: Linux version 2.4.3-12
(root@porky.devel.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 7.1
2.96-85)) #1 Fri Jun 8 16:12:46 EDT 2001
Oct  2 11:37:50 prism kernel: Xircom cardbus adaptor found, registering as
eth0, using irq 10 
Oct  2 11:37:50 prism kernel: xircom_cb: enabling promiscuous mode 
Oct  2 11:37:50 prism kernel: xircom_cb: capabilities changed from 0x1e1 to
0xa1
Oct  2 11:37:50 prism kernel: xircom_cb: Link is absent 
Oct  2 11:37:50 prism kernel: spurious 8259A interrupt: IRQ7.
Oct  2 11:37:50 prism kernel: xircom_cb: Link is 100 mbit
Comment 1 adi 2001-10-29 23:51:53 EST
I just upgraded to kernel-2.4.9-6 and now my pcmcia xircom cbe2-100 card works
fine in full duplex mode.  It must have been a problem with the driver you
released in the 2.4.3 kernel.  But now it's fixed in your 2.4.9 kernel.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.